"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var vcr_server_1 = require("vcr-server");
exports.default = (function (api) {
    api._beforeServerWithApp(function (_a) {
        var app = _a.app;
        vcr_server_1.default(app);
    });
    api.chainWebpackConfig(function (memo) {
        memo.module
            .rule('istanbul')
            .test(/\.tsx?$/)
            .post()
            .use('istanbul-loader')
            .loader('istanbul-instrumenter-loader')
            .options({ esModules: true });
        return memo;
    });
});
